package org.alfresco.bm.publicapi.data;

import org.alfresco.bm.publicapi.process.CreateFolderWithParentIdRequest;
import org.alfresco.bm.publicapi.process.CreateFolderWithParentPathRequest;

public class CreateFolderRequestFactory extends AbstractCreateNodeRequestFactory
{
	public CreateFolderRequestFactory()
	{
	}

	/**
	 * Generate some node content.
	 * 
	 * @return the node content
	 */
	public CreateFolderWithParentIdRequest create(String networkId, String runAsUserId, FolderNode parentFolder)
	{
        String type = "cmis:folder"; // TODO - different types?
        CreateFolderWithParentIdRequest ret = new CreateFolderWithParentIdRequest(networkId, runAsUserId, parentFolder, type, getProperties());
        return ret;
	}
	
	public CreateFolderWithParentPathRequest create(String networkId, String runAsUserId, Path parentPath)
	{
        String type = "cmis:folder"; // TODO - different types?
        CreateFolderWithParentPathRequest ret = new CreateFolderWithParentPathRequest(networkId, runAsUserId, parentPath, type, getProperties());
        return ret;
	}
}
