package org.alfresco.bm.publicapi.data.nodematchers;

import java.util.ArrayList;
import java.util.List;
import java.util.Set;

import org.alfresco.bm.publicapi.AbstractRepositoryEventSelectorProcessor.NodeMatcher;

public class CanManipulateNodeMatcher extends ChainingNodeMatcher
{
	public CanManipulateNodeMatcher(Set<String> requiredCmisTypes, Set<String> excludeCmisTypes)
	{
		super(CanManipulateNodeMatcher.getMatchers(requiredCmisTypes, excludeCmisTypes));
	}

	private static List<NodeMatcher> getMatchers(Set<String> requiredCmisTypes, Set<String> excludeCmisTypes)
	{
		List<NodeMatcher> matchers = new ArrayList<NodeMatcher>(2);
		matchers.add(new LockCheckerNodeMatcher());
		matchers.add(new ObjectTypeIdNodeMatcher(requiredCmisTypes, excludeCmisTypes));
		return matchers;
	}
}
