package org.alfresco.bm.publicapi.process;

import org.alfresco.bm.publicapi.data.Request;

public class AddFavouriteSiteRequest extends Request
{
    private String personId;
    private String siteId;

    public AddFavouriteSiteRequest(String networkId, String runAsUserId, String personId, String siteId)
    {
        super(networkId, runAsUserId);
        this.personId = personId;
        this.siteId = siteId;
    }

    public String getPersonId()
    {
        return personId;
    }

    public String getSiteId()
    {
        return siteId;
    }

    @Override
    public String toString()
    {
        return "AddFavouriteSiteRequest [personId=" + personId + ", siteId="
                + siteId + ", networkId=" + networkId + ", runAsUserId="
                + runAsUserId + "]";
    }
}
