package org.alfresco.bm.publicapi.process;

import org.alfresco.bm.publicapi.data.DocumentNode;
import org.alfresco.bm.publicapi.data.Request;

public class CheckoutObjectRequest extends Request
{
    private DocumentNode node;

    public CheckoutObjectRequest(String networkId, String runAsUserId, DocumentNode node)
    {
        super(networkId, runAsUserId);
        this.node = node;
    }

    public DocumentNode getNode()
    {
        return node;
    }

    @Override
    public String toString()
    {
        return "CheckoutObjectRequest [node=" + node + "]";
    }
}
