package org.alfresco.bm.publicapi.process;

import org.alfresco.bm.publicapi.data.Node;
import org.alfresco.bm.publicapi.data.Request;

public class CreateCommentRequest extends Request
{
    private Node node;
    private String comment;

    public CreateCommentRequest(String networkId, String runAsUserId, Node node, String comment)
    {
        super(networkId, runAsUserId);
        this.node = node;
        this.comment = comment;
    }

    public Node getNode()
    {
        return node;
    }

    public String getComment()
    {
        return comment;
    }

    @Override
    public String toString()
    {
        return "CreateCommentRequest [node=" + node + ", comment=" + comment
                + ", networkId=" + networkId + ", runAsUserId=" + runAsUserId
                + "]";
    }
}
