package org.alfresco.bm.publicapi.process;

import org.alfresco.bm.publicapi.data.DocumentNode;
import org.alfresco.bm.publicapi.data.ListRequest;

public class GetAllVersionsRequest extends ListRequest
{
	private DocumentNode node;
    
	public GetAllVersionsRequest(String networkId, String runAsUserId, DocumentNode node, int skipCount, int maxItems)
	{
		super(networkId, runAsUserId, skipCount, maxItems);
		this.node = node;
	}

	public DocumentNode getNode()
	{
		return node;
	}

	@Override
	public String toString()
	{
		return "GetAllVersionsRequest [node=" + node + "]";
	}
}
