package org.alfresco.bm.publicapi.process;

import org.alfresco.bm.publicapi.data.ListRequest;

public class GetFavouriteSitesRequest extends ListRequest
{
    private String personId;
    
    public GetFavouriteSitesRequest(String networkId, String runAsUserId, String personId, int skipCount, int maxItems)
    {
        super(networkId, runAsUserId, skipCount, maxItems);
        this.personId = personId;
    }

    public String getPersonId()
    {
        return personId;
    }

    @Override
    public String toString()
    {
        return "GetFavouriteSitesRequest [personId=" + personId + "]";
    }
}
