package org.alfresco.bm.publicapi.process;

import org.alfresco.bm.publicapi.data.ListRequest;
import org.alfresco.bm.publicapi.data.Node;

public class GetNodeRatingsRequest extends ListRequest
{
    private Node node;

    public GetNodeRatingsRequest(String networkId, String runAsUserId, Node node, int skipCount, int maxItems)
    {
        super(networkId, runAsUserId, skipCount, maxItems);
        this.node = node;
    }

    public Node getNode()
    {
        return node;
    }

    @Override
    public String toString()
    {
        return "GetNodeRatingsRequest [node=" + node + "]";
    }

}
