package org.alfresco.bm.publicapi.process;

import org.alfresco.bm.publicapi.data.ListRequest;

public class GetPersonSitesRequest extends ListRequest
{
    private String personId;

    public GetPersonSitesRequest(String networkId, String runAsUserId, String personId, Integer skipCount, Integer maxItems)
    {
        super(networkId, runAsUserId, skipCount, maxItems);
        this.personId = personId;
    }

    public String getPersonId()
    {
        return personId;
    }

	@Override
	public String toString()
	{
		return "GetPersonSitesRequest [personId=" + personId + ", skipCount="
				+ skipCount + ", maxItems=" + maxItems + ", networkId="
				+ networkId + ", runAsUserId=" + runAsUserId + "]";
	}
}
