package org.alfresco.bm.publicapi.process;

import org.alfresco.bm.publicapi.data.ListRequest;

public class QueryRequest extends ListRequest
{
    private String statement;
    
    public QueryRequest()
    {
    }

    public QueryRequest(String networkId, String runAsUserId, String statement, int skipCount, int maxItems)
    {
        super(networkId, runAsUserId, skipCount, maxItems);
        this.statement = statement;
    }

    public String getStatement()
    {
        return statement;
    }

	public void setStatement(String statement)
	{
		this.statement = statement;
	}

	@Override
	public String toString()
	{
		return "QueryRequest [statement=" + statement + "]";
	}
}
