package org.alfresco.bm.publicapi.process;

import org.alfresco.bm.publicapi.data.Request;

public class RemoveSiteMemberRequest extends Request
{
    private String siteId;
    private String memberId;

    public RemoveSiteMemberRequest(String networkId, String runAsUserId, String siteId, String memberId)
    {
        super(networkId, runAsUserId);
        this.siteId = siteId;
        this.memberId = memberId;
    }

    public String getSiteId()
    {
        return siteId;
    }

    public String getMemberId()
    {
        return memberId;
    }

    @Override
    public String toString()
    {
        return "RemoveSiteMemberRequest [siteId=" + siteId + ", memberId="
                + memberId + "]";
    }

}
