package org.alfresco.bm.publicapi.data;

/**
 * A public api request, includes networkId and userId.
 *  
 * @author steveglover
 *
 */
public class Request
{
    protected String networkId;
    protected String runAsUserId;

    protected Request()
    {
    }

    protected Request(String networkId, String runAsUserId)
    {
        this.networkId = networkId;
        this.runAsUserId = runAsUserId;
    }

    public String getNetworkId()
    {
        return networkId;
    }

    public String getRunAsUserId()
    {
        return runAsUserId;
    }

    public void setNetworkId(String networkId)
    {
        this.networkId = networkId;
    }

    public void setRunAsUserId(String runAsUserId)
    {
        this.runAsUserId = runAsUserId;
    }    
}
