package org.alfresco.bm.publicapi.process;

import org.alfresco.bm.publicapi.data.Request;

public class ChangeTagRequest extends Request
{
    private String tagId;
    private String newTag;

    public ChangeTagRequest(String networkId, String runAsUserId, String tagId, String newTag)
    {
        super(networkId, runAsUserId);
        this.tagId = tagId;
        this.newTag = newTag;
    }
	
	public ChangeTagRequest(String networkId, String runAsUserId)
	{
		super(networkId, runAsUserId);
	}
	
	public void setTagId(String tagId)
	{
		this.tagId = tagId;
	}

	public void setNewTag(String newTag)
	{
		this.newTag = newTag;
	}

    public String getTagId()
    {
        return tagId;
    }

    public String getNewTag()
    {
        return newTag;
    }

    @Override
    public String toString()
    {
        return "ChangeTagRequest [tagId=" + tagId + ", newTag=" + newTag + "]";
    }

}
