package org.alfresco.bm.publicapi.process;

import org.alfresco.bm.publicapi.data.Node;
import org.alfresco.bm.publicapi.data.Request;

public class CreateNodeTagRequest extends Request
{
    private String tag;
    private Node node;

    public CreateNodeTagRequest(String networkId, String runAsUserId, Node node, String tag)
    {
        super(networkId, runAsUserId);
        this.node = node;
        this.tag = tag;
    }

    public String getTag()
    {
        return tag;
    }

    public Node getNode()
    {
        return node;
    }

    @Override
    public String toString()
    {
        return "CreateNodeTagRequest [tag=" + tag
                + ", node=" + node + "]";
    }

}
