package org.alfresco.bm.publicapi.process;

import org.alfresco.bm.publicapi.data.Request;
import org.alfresco.bm.site.SiteData;

public class CreateSiteRequest extends Request
{
    private SiteData site;

    public CreateSiteRequest(String networkId, String runAsUserId, SiteData site)
    {
        super(networkId, runAsUserId);
        this.site = site;
    }

    public SiteData getSite()
    {
        return site;
    }

	@Override
	public String toString()
	{
		return "CreateSiteRequest [site=" + site + ", networkId=" + networkId
				+ ", runAsUserId=" + runAsUserId + "]";
	}    
}
