package org.alfresco.bm.publicapi.process;

import org.alfresco.bm.publicapi.data.ListRequest;
import org.alfresco.bm.publicapi.data.Node;

public class GetCommentsRequest extends ListRequest
{
    private Node node;

    public GetCommentsRequest(String networkId, String runAsUserId, Node node, int skipCount, int maxItems)
    {
        super(networkId, runAsUserId, skipCount, maxItems);
        this.node = node;
    }

    public Node getNode()
    {
        return node;
    }

    @Override
    public String toString()
    {
        return "GetCommentsRequest [node=" + node + ", skipCount=" + skipCount
                + ", maxItems=" + maxItems + ", networkId=" + networkId
                + ", runAsUserId=" + runAsUserId + "]";
    }
}
