package org.alfresco.bm.publicapi.process;

import org.alfresco.bm.publicapi.data.Request;

public class GetObjectByPathRequest extends Request
{
	private String path;

    public GetObjectByPathRequest(String networkId, String runAsUserId, String path)
    {
        super(networkId, runAsUserId);
        this.path = path;
    }

	public String getPath()
	{
		return path;
	}

	@Override
	public String toString()
	{
		return "GetObjectByPathRequest [path=" + path + ", networkId="
				+ networkId + ", runAsUserId=" + runAsUserId + "]";
	}
}
