package org.alfresco.bm.publicapi.process;

import org.alfresco.bm.publicapi.data.Request;

public class GetObjectRequest extends Request
{
	private String objectId;

    public GetObjectRequest(String networkId, String runAsUserId, String objectId)
    {
        super(networkId, runAsUserId);
        this.objectId = objectId;
    }

	public String getObjectId()
	{
		return objectId;
	}

	@Override
	public String toString()
	{
		return "GetObjectRequest [objectId=" + objectId + "]";
	}
}
