package org.alfresco.bm.publicapi.process;

import org.alfresco.bm.publicapi.data.Request;

public class GetPersonNetworksRequest extends Request
{
    private String personId;

    public GetPersonNetworksRequest(String networkId, String runAsUserId, String personId)
    {
        super(networkId, runAsUserId);
        this.personId = personId;
    }

    public String getPersonId()
    {
        return personId;
    }

    @Override
    public String toString()
    {
        return "GetPersonNetworksRequest [personId=" + personId + "]";
    }
}
