package org.alfresco.bm.publicapi.process;

import org.alfresco.bm.publicapi.data.Request;

public class GetPersonPreferencesRequest extends Request
{
    private String personId;

    public GetPersonPreferencesRequest(String networkId, String runAsUserId, String personId)
    {
        super(networkId, runAsUserId);
        this.personId = personId;
    }

    public String getPersonId()
    {
        return personId;
    }

    @Override
    public String toString()
    {
        return "GetPersonPreferencesRequest [personid=" + personId + "]";
    }
}
