package org.alfresco.bm.publicapi.process;

import org.alfresco.bm.publicapi.data.Node;
import org.alfresco.bm.publicapi.data.Request;

public class GetPropertiesRequest extends Request
{
	private Node node;

    public GetPropertiesRequest(String networkId, String runAsUserId, Node node)
    {
        super(networkId, runAsUserId);
        this.node = node;
    }

	public Node getNode()
	{
		return node;
	}

	@Override
	public String toString()
	{
		return "GetPropertiesRequest [node=" + node + "]";
	}
}
