package org.alfresco.bm.publicapi.process;

import org.alfresco.bm.publicapi.data.Request;
import org.springframework.social.alfresco.api.entities.Site;

public class GetSiteContainersRequest extends Request
{
    private Site site;

    public GetSiteContainersRequest(String networkId, String runAsUserId, Site site)
    {
        super(networkId, runAsUserId);
        this.site = site;
    }

    public Site getSite()
    {
        return site;
    }

    @Override
    public String toString()
    {
        return "GetSiteContainersRequest [site=" + site + "]";
    }

}
