package org.alfresco.bm.publicapi.process;

import org.alfresco.bm.publicapi.data.ListRequest;

public class GetSiteMembersRequest extends ListRequest
{
    private String siteId;

    public GetSiteMembersRequest(String networkId, String runAsUserId, String siteId, int skipCount, int maxItems)
    {
        super(networkId, runAsUserId, skipCount, maxItems);
        this.siteId = siteId;
    }

    public String getSiteId()
    {
        return siteId;
    }

    @Override
    public String toString()
    {
        return "GetSiteMembersRequest [siteId=" + siteId + "]";
    }
    
}
